## Script (Python) "breadcrumbs.py $Revision: 1.2 $"
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=include_root=1
##title=Return breadcrumbs
##
from string import join

result = []
portal_url = context.portal_url()

if include_root:
    result.append( { 'id'      : 'Home'
                   , 'title'   : context.truncID(context.portal_properties.title_or_id(),15)
                   , 'longtitle' : context.portal_properties.title_or_id()
                   , 'url'     : portal_url
                   }
                 )

relative = context.portal_url.getRelativeContentPath( context )
obj = portal = context.portal_url.getPortalObject()

for i in range( len( relative ) ):
    now = relative[ :i+1 ]
    obj = portal.restrictedTraverse( now )
    if not now[ -1 ] == 'talkback':
            result.append( { 'id'      : now[ -1 ]
                    , 'title'   : context.truncID(obj.title_or_id(),15)
                    , 'longtitle': obj.title_or_id()
                    , 'url'     : portal_url + '/' + join( now, '/' )
                    }
                    )
return result
