## Script (Python) "sendReviewerMail"
##parameters=object, new_action, comment
##title=

portalroot = context.portal_url.getPortalObject()
pm = context.portal_membership
pp = context.portal_properties

mailhost = portalroot.MailHost
members = pm.listMembers()

reviewing_roles = ['Manager', 'Reviewer']

emails = []
emails.append('gitte@babytux.dk')

for member in members:
    email = member.getProperty('email')
    if email:
        roles = member.getRolesInContext(object)
        for role in roles:
            if role in reviewing_roles:
                emails.append(email)
        
creator = object.Creator()
owner = pm.getMemberById(creator)
if owner:
    emails.append(owner.email)
fromadr = pp.email_from_address
fromname = pp.email_from_name

send_mail = 1
if new_action == 'submit':
    mailtext = "The following object has been submitted for review:\n\n"
    mailtext = "%sTitle: %s\n" % (mailtext, object.title_or_id())
    if object.Description():
        mailtext = "%sDescription: %s\n" % (mailtext, object.description)
    mailtext = '%sURL: %s\n\n' % (mailtext, object.absolute_url())
    mailtext = "%sComment: %s\n\n" % (mailtext, comment)
    mailtext = "%sThe object will be reviewed as soon as possible. An email will be sent when the object has been published.\n\n" % mailtext
    mailtext = "%sGreetings, %s" % (mailtext, fromname)
    subject = 'Object has been submitted for review'
elif new_action == 'publish':
    mailtext = "The following object has been published by a reviewer:\n\n"
    mailtext = "%sTitle: %s\n" % (mailtext, object.title_or_id())
    if object.Description():
        mailtext = "%sDescription: %s\n" % (mailtext, object.description)
    mailtext = '%sURL: %s\n\n' % (mailtext, object.absolute_url())
    mailtext = "%sComment: %s\n\n" % (mailtext, comment)
    mailtext = "%sGreetings, %s" % (mailtext, fromname)
    subject = 'Object has been published'
elif new_action == 'reject':
    mailtext = "The following object has been rejected by the reviewers:\n\n"
    mailtext = "%sTitle: %s\n" % (mailtext, object.title_or_id())
    if object.Description():
        mailtext = "%sDescription: %s\n" % (mailtext, object.description)
    mailtext = '%sURL: %s\n\n' % (mailtext, object.absolute_url())
    mailtext = "%sComment: %s\n\n" % (mailtext, comment)
    mailtext = "%sThe comment should tell what was wrong with the object. Please correct the errors and submit again.\n\n" % mailtext
    mailtext = "%sGreetings, %s" % (mailtext, fromname)
    subject = 'Object has been rejected by reviewer'    
elif new_action == 'retract':
    mailtext = "The following object has been retracted:\n\n"
    mailtext = "%sTitle: %s\n" % (mailtext, object.title_or_id())
    if object.Description():
        mailtext = "%sDescription: %s\n" % (mailtext, object.description)
    mailtext = '%sURL: %s\n\n' % (mailtext, object.absolute_url())
    mailtext = "%sComment: %s\n\n" % (mailtext, comment)
    mailtext = "%sGreetings, %s" % (mailtext, fromname)
    subject = 'Object has been retracted'    
else:
    send_mail = 0
    
if send_mail:
    to_addrs = string.join(emails, ',')
    mailhost.send(mailtext, to_addrs, fromadr, subject)
    